%global tar_ver 2.0.4

Name:           soundconverter
Version:        2.0.4
Release:        7%{?dist}
Summary:        Simple sound converter application for GNOME

Group:          Applications/Multimedia
License:        GPLv3
URL:            http://soundconverter.org
Source0:        http://launchpad.net/soundconverter/trunk/%{tar_ver}/+download/soundconverter-%{tar_ver}.tar.xz
BuildArch:      noarch

# reported, lp #1077880
Patch0: soundconverter-2.0.4-no-space-left.patch
# work around lp #1063724 / gnome bz #683708
Patch1: soundconverter-2.0.4-folder-choose.patch

BuildRequires:  desktop-file-utils
BuildRequires:  intltool gettext
BuildRequires:  pygtk2
BuildRequires:  gnome-python2-gnome

# enforce availability of this and its requirement "desktop-notification-daemon"
Requires:       notify-python

# version 2.10 is old enough not to need an explicit version here
Requires:       pygtk2
Requires:       gnome-python2-gnome
Requires:       gnome-python2-gconf
# a missing dep in gnome-python2-gnome, see bz #689836
Requires:       gnome-python2-bonobo
# a missing dep somewhere, causes bz #718791
Requires:       gnome-python2-canvas
# currently a dep of gnome-python2-gnome, but one cannot rely on that
# after the two missing deps above
Requires:       gnome-python2-gnomevfs

Requires:       gstreamer-python
Requires:       gstreamer-plugins-base

%if 0%{?fedora} > 16
Requires:       gstreamer-plugins-good >= 0.10.30-5.fc17
%endif
%{?fc16:Requires: gstreamer-plugins-good >= 0.10.30-5.fc16}
%{?fc15:Requires: gstreamer-plugins-good >= 0.10.29-2.fc15}


%description
A simple sound converter application for the GNOME environment. It reads and
writes anything the GStreamer library can.


%prep
%setup -q -n %{name}-%{tar_ver}
%patch0 -p1 -b .no-space-left
%patch1 -p1 -b .folder-choose


%build
%configure --disable-dependency-tracking \
    --libdir=/usr/lib
make %{?_smp_mflags}


%install
make install DESTDIR=${RPM_BUILD_ROOT}
install -p soundconverter/batch.py ${RPM_BUILD_ROOT}/usr/lib/%{name}/python/soundconverter

%find_lang %{name}

desktop-file-install --vendor=fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --add-category X-OutputGeneration \
  --delete-original \
  ${RPM_BUILD_ROOT}/usr/share/applications/%{name}.desktop


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null ||:


%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null ||:


%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_mandir}/man1/%{name}*
%{_bindir}/%{name}
/usr/lib/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg


%changelog
* Sat Dec  1 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.4-7
- Patch further to also fix the last used folder for the "Add Folder" button.
- Patch for gnome bz #683708 and lp #1063724 GtkFileChooser problem.

* Sat Dec  1 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.4-4
- Work around folder choose issue (lp #1063724) where the folder is reset
  to the last-used-folder because nothing is selected/highlighted.

* Mon Nov 12 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.4-2
- Catch IOError when logging to stderr, which prevents crash
  in "no space left on device" condition (#874466).

* Thu Oct 18 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.4-1
- Updated to 2.0.4 (merged patches, further fixes and updated translations).

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 29 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.3-5
- Fix another last-used-folder "None" crash. (#836338)

* Thu May 10 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.3-4
- Apply newer post-2.0.3 batch mode fixes from upstream scm.
  This should also fix WAV batch encoding.

* Sat May  5 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.3-3
- Fix FLAC batch encoding (lp 995862).
- Fix -m and -s (lp 988262).
- Apply post-2.0.3 batch mode fixes from upstream scm. This involves
  copying the new batch.py file manually (temporarily).

* Tue Apr 24 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.3-2
- Update to 2.0.3 (stability/progress fixes and updated translations).

* Fri Apr 13 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.2-2
- Add more documentation files.

* Sun Mar 18 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.2-1
- Update to 2.0.2 (31k diff, one bug-fix, mostly i18n/spelling fixes).

* Thu Feb  2 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.1-1
- Update to 2.0.1 (11k diff).

* Fri Jan 27 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0-1
- Update to 2.0 release (includes fix for #784413 / lp 921515).

* Fri Jan 13 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0-0.3.rc5
- Update to 2.0-rc5.

* Wed Jan  4 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0-0.2.rc4
- Rediff bad audio profiles patch (lp 911791).

* Wed Jan  4 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0-0.1.rc4
- Patch GNOME Audio Profile preferences crash (lp 911759).
- Explicitly install to libdir=/usr/lib since this is still a noarch package.
- Upgrade to 2.0-rc4 and drop merged/obsolete patches.

* Sat Dec 10 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-11
- Reenable FLAC to Ogg Vorbis conversion and require at least the
  first build of the gstreamer-plugins-good package that contains
  the backported fix.

* Sun Oct  9 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-10
- Ignore bad audio profiles (#744596) and multiple ones with no description.
- Remove %%defattr line.

* Fri Aug 19 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-9
- Enhance the previous patch, and consider the case when preferences
  are changed after creating a list of input files. Also remove rejected
  FLAC files from an internal filelist, so readding them will display the
  warning dialog again.

* Fri Aug 19 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-8
- Block conversion of FLAC to Ogg Vorbis due to GStreamer stream
  corruption (GNOME bz 651615).
- Make "Clear" button really clear internal filelist (lp 784918).

* Mon Jul  4 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-7
- Add (currently redundant) dependency on gnome-python2-gnomevfs, which
  is required by gnome-python2-gnome already, but Soundconverter imports
  the gnomevfs module directly.

* Mon Jul  4 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-6
- Add dependency on gnome-python2-canvas, which is a missing dep
  somewhere and causes a crash on non-GNOME installations (#718791).
  Probably related to the similar issue mentioned on March 22nd.

* Sat Jul  2 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-5
- Fix crash in markup_escape (calling glib markup_escape_text)
  caused by file names with invalid encodings (#718334).

* Tue Jun 21 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-4
- Fix crash when GNOME Audio Profile description changes translation (#714454).

* Tue Mar 22 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-3
- Add dependency on gnome-python2-bonobo, which is a missing dep of
  gnome-python2-gnome (#689836) and causes a crash if not installed,
  e.g. on LXDE #688780.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan  9 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.4-1
- Upgrade to 1.5.4.

* Thu Dec 16 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.3-8
- Add direct dependency on notify-python.

* Mon Nov 29 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.3-7
- Fix command-line FLAC compression default in order to avoid crash.

* Fri Nov 26 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.3-6
- Fix command-line options -m and -s, which have never worked,
  and -t which was broken by changes after 1.4.4.

* Wed Nov 24 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.3-5
- Fix command-line batch mode (#656526). Also skip conversion if input
  file name is same as output file name (as that would not have worked
  so far and would have emptied/deleted the input file instead).

* Wed Nov 17 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.3-4
- Fix target folder for artist/album creation when the source files are
  stored in subdirectories (#654045).

* Tue Nov 16 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.3-3
- Remove urllib.quote call for target folder URI, so e.g. space characters
  don't lead to creating a new unescaped target folder.

* Thu Oct 28 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.3-2
- Patch po files for combobox "AssertionError: model:4 widgets:5" (#647336)

* Thu Jun 17 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.3-1
- Upgrade to 1.5.3.

* Tue Jun 15 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.2-2
- Fix ZeroDivisionError in progress calculation.

* Tue Jun 15 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.2-1
- Upgrade to 1.5.2.

* Wed May 12 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 1.4.4-2
- Update .desktop file patch.
- Minor spec adjustments in explicit deps and files section.

* Sat Jan 23 2010 Xavier Lamien <laxathom@fedoraproject.org> - 1.4.4-1
- Update release.

* Sun Sep 27 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 1.3.2-4
- Update desktop file according to F-12 FedoraStudio feature

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Aug 25 2008 Denis Leroy <denis@poolshark.org> - 1.3.2-1
- Update to upstream 1.3.2
- Fixed gnome-python2 BR

* Tue May 13 2008 Denis Leroy <denis@poolshark.org> - 1.2.0-1
- Update to upstream 1.2.0

* Fri Jan 11 2008 Denis Leroy <denis@poolshark.org> - 0.9.8-1
- Update to upstream 0.9.8, bugfix release

* Thu Aug 16 2007 Denis Leroy <denis@poolshark.org> - 0.9.7-1
- Update to 0.9.7
- Updated License tag
- Added patch to fix desktop file

* Sun Apr 29 2007 Denis Leroy <denis@poolshark.org> - 0.9.6-1
- Update to 0.9.6
- Removed some icon-related hacks, fixed upstream

* Thu Mar  1 2007 Denis Leroy <denis@poolshark.org> - 0.9.4-1
- Update to 0.9.4
- Removed taglib patch, is upstream
- Moved desktop icon into /usr/share/icons/

* Wed Nov  8 2006 Denis Leroy <denis@poolshark.org> - 0.9.3-2
- Added patch to detect missing id3v2mux gst plugin

* Thu Oct 19 2006 Denis Leroy <denis@poolshark.org> - 0.9.3-1
- Update to 0.9.3

* Tue Oct 17 2006 Denis Leroy <denis@poolshark.org> - 0.9.2-1
- Update to 0.9.2

* Fri Sep  8 2006 Denis Leroy <denis@poolshark.org> - 0.9.1-3
- Fixed desktop install

* Fri Sep  8 2006 Denis Leroy <denis@poolshark.org> - 0.9.1-2
- Added intltool BRs

* Fri Sep  8 2006 Denis Leroy <denis@poolshark.org> - 0.9.1-1
- Update to 0.9.1
- Uses gstreamer 1.0
- Some cleanup, use upstream configure and desktop

* Mon Sep  4 2006 Denis Leroy <denis@poolshark.org> - 0.8.3-2
- FE6 Rebuild

* Sun Feb 12 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.3-1
- Upstream update
- Updated to use gstreamer08

* Tue Nov 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.1-2
- Added gnome-python2-gconf to Requires (#173290)

* Mon Nov 14 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.1-1
- Upstream update

* Sun Oct  2 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.0-1
- Initial RPM release
